function ENTR=waven_norm(WX)
% 
% WX - вейвлет-коефіцієнти перетворення початкового ряду,
%      отримані після перетворення за допомогою функції
%      dwvar_norm

[m,n]=size(WX);
%if (m==1)
%    WX=X';
%end

% знаходимо енергію
WX=WX.*WX;
figure; mesh(WX); title('Energy');
% всі нулі міняємо на 1E-6
for i=1:m
    for j=1:n
        if (WX(i,j)==0) WX(i,j)=1e-6; end
    end
end
% розраховуємо загальні енергії для кожного часу
SUMS=sum(WX);
% знаходимо ймовірності та значення ентропії
P=WX;
ENTR=zeros(n,1);
for i=1:n
    P(:,i)=P(:,i)/SUMS(i);
    ENTR(i)=-sum(P(:,i).*log2(P(:,i)));
end
figure; mesh(P); title('Probability');
PL=P.*log2(P);
figure; mesh(PL); title('Shannon probability');
PLA=abs(PL);
figure; mesh(PLA); title('ABS of Shannon probability');
